---
title: "End of Day"
source_url: https://docs.rapyd.net/en/end-of-day.html
lang: en
---

# End of Day

This endpoint triggers an End of Day (EOD) report on the payment terminal. The report includes transaction totals and reconciliation data for the current day.

**Flow:**

1. Send request to terminal.
2. Terminal processes the EOD report.
3. lTerminal sends response via webhook to your callback URL.

**Response:** The terminal will send a webhook with eventType "REPORT_INFORMATION" and reportType "EOD".

### Parameters

### Request Header Parameters

- - X-API-KEY
  - Unique access key provided by Rapyd for each partner.

### Request Body Parameters

- - disablePrinting
  - Indicates if to print a receipt.
- - callbackUrl
  - The URL that CloudLinkApi will use to return information to the caller.
- - deviceToken
  - The token of a PAX POS device.
- - correlationId
  - An ID provided by the caller. Will be returned in the callback for message matching. In a cancel request, use the value from the sale/refund that is being cancelled.
- - timeToLive
  - The maximum time, in seconds, for a request to reach the physical terminal. The default value is 5 seconds.
- - terminalId
  - If terminal has more than one merchant, this field is used to identify the merchant. To get a list of merchants, use the requestMerchantConfig request. Value can be null.

### 202 Accepted Response

- - message
  - Accepted

### 400 Error Response

- - type
  - Example: https://tools.ietf.org/html/rfc7231#section-6.5.1

- - title
  - Bad Request

- - status
  - 400

- - detail
  - DeviceId not registered

### 401 Error Response

- - message
  - Unauthorized

### 500 Error Response

- - message
  - Server Error

- /endofday

- 202 Accepted completion
- ```curl
  curl -X
  post https://CloudLinkApi/endofday
  -H 'X-API-KEY: your-access-key-here'
  -d '{
    "disablePrinting": true,
    "callbackUrl": "http://example.com/webhook-endpoint",
    "deviceToken": "b16526c3447ba6cea4818d",
    "correlationId": "5d1d4ea-8229-44d7-b517-26a5ae6c2fda",
    "timeToLive": 5,
    "terminalId": null
  }
  ' 
  ```
- ```json
  {
    "message": "Accepted"
  }
  ```

- 400 Bad Request
- ```curl
  curl -X
  post https://CloudLinkApi/endofday
  -H 'X-API-KEY: your-access-key-here'
  -d '{
    "disablePrinting": true,
    "callbackUrl": "http://example.com/webhook-endpoint",
    "deviceToken": "b16526c3447ba6cea4818d",
    "correlationId": "5d1d4ea-8229-44d7-b517-26a5ae6c2fda",
    "timeToLive": 5,
    "terminalId": null
  }
  ' 
  ```
- ```json
  {
    "type": "https://tools.ietf.org/html/rfc7231#section-6.5.1",
    "title": "Bad Request",
    "status": 400,
    "detail": "DeviceId not registered"  
  }
  ```

- 401 Unauthorized completion
- ```curl
  curl -X
  post https://CloudLinkApi/endofday
  -H 'X-API-KEY: your-access-key-here'
  -d '
  {
    "disablePrinting": true,
    "callbackUrl": "http://example.com/webhook-endpoint",
    "deviceToken": "b16526c3447ba6cea4818d",
    "correlationId": "5d1d4ea-8229-44d7-b517-26a5ae6c2fda",
    "timeToLive": 5,
    "terminalId": null
  }
  ' 
  ```
- ```json
  {
    "message": "Unauthorized"
  }
  ```

- 500 Server Error
- ```curl
  curl -X
  post https://CloudLinkApi/endofday
  -H 'X-API-KEY: your-access-key-here'
  -d '{
    "disablePrinting": true,
    "callbackUrl": "http://example.com/webhook-endpoint",
    "deviceToken": "b16526c3447ba6cea4818d",
    "correlationId": "5d1d4ea-8229-44d7-b517-26a5ae6c2fda",
    "timeToLive": 5,
    "terminalId": null
  }
  ' 
  ```
- ```json
  {
    "message": "Server Error"
  }
  ```
